package _VisualDVM.TestingSystem.SAPFOR.SapforSettingsCommand;
import Common.CommonConstants;
import Common.Database.Objects.DBObject;
import Common.Database.Objects.riDBObject;
import _VisualDVM.Passes.PassCode;
import com.sun.org.glassfish.gmbal.Description;
public class SapforSettingsCommand extends riDBObject {
    @Description("DEFAULT -1")
    public int sapforsettings_id = CommonConstants.Nan;
    public PassCode passCode = PassCode.SPF_RemoveDvmDirectives;
    public SapforSettingsCommand() {
    }
    public SapforSettingsCommand(SapforSettingsCommand sapforSettingsCommand) {
        this.SynchronizeFields(sapforSettingsCommand);
    }
    @Override
    public void SynchronizeFields(DBObject src) {
        super.SynchronizeFields(src);
        SapforSettingsCommand c = (SapforSettingsCommand) src;
        sapforsettings_id = c.sapforsettings_id;
        passCode = c.passCode;
    }
}
